Package com.independentsoft.office.odf

# Class Row

java.lang.Object
com.independentsoft.office.odf.Row

All Implemented Interfaces:
  `IContentElement`

public class Row extends Object implements IContentElement
Represents a row in a table. It contains elements that specify the cells of the table row.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Row()`
  Initializes a new instance of the Row class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Row`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `Cell`
  `get​(int index)`
  Gets the.
  `List<Cell>`
  `getCells()`
  Contains a collection of Cell objects.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `String`
  `getDefaultCellStyle()`
  Gets the default cell style.
  `int`
  `getNumberOfRepeatedRows()`
  Gets the number of rows to which a row description applies.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getStyle()`
  Gets the style.
  `Visibility`
  `getVisibility()`
  Specifies whether a row is visible.
  `boolean`
  `isHeader()`
  Checks if is header.
  `void`
  `set​(int index, Cell cell)`
  Sets the.
  `void`
  `setDefaultCellStyle​(String defaultCellStyle)`
  Sets the default cell style.
  `void`
  `setHeader​(boolean isHeader)`
  Sets the header.
  `void`
  `setNumberOfRepeatedRows​(int numberOfRepeatedRows)`
  Sets the number of rows to which a row description applies.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setStyle​(String style)`
  Sets the style.
  `void`
  `setVisibility​(Visibility visibility)`
  Specifies whether a row is visible.
  `String`
  `toString()`
  Converts the value of the current Row object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Row

    public Row()
    Initializes a new instance of the Row class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public Row clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Row object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getCells

    public List<Cell> getCells()
    Contains a collection of Cell objects.
    Returns:
      the cells

  - ### get

    public Cell get​(int index)
    Gets the.
    Parameters:
      `index` - the index
    Returns:
      the cell

  - ### set

    public void set​(int index, Cell cell)
    Sets the.
    Parameters:
      `index` - the index
      `cell` - the cell

  - ### isHeader

    public boolean isHeader()
    Checks if is header.
    Returns:
      true, if is header

  - ### setHeader

    public void setHeader​(boolean isHeader)
    Sets the header.
    Parameters:
      `isHeader` - the new header

  - ### getStyle

    public String getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### getDefaultCellStyle

    public String getDefaultCellStyle()
    Gets the default cell style.
    Returns:
      the default cell style

  - ### setDefaultCellStyle

    public void setDefaultCellStyle​(String defaultCellStyle)
    Sets the default cell style.
    Parameters:
      `defaultCellStyle` - the new default cell style

  - ### getVisibility

    public Visibility getVisibility()
    Specifies whether a row is visible.
    Returns:
      the visibility

  - ### setVisibility

    public void setVisibility​(Visibility visibility)
    Specifies whether a row is visible.
    Parameters:
      `visibility` - the new visibility

  - ### getNumberOfRepeatedRows

    public int getNumberOfRepeatedRows()
    Gets the number of rows to which a row description applies.
    Returns:
      the number of repeated rows

  - ### setNumberOfRepeatedRows

    public void setNumberOfRepeatedRows​(int numberOfRepeatedRows)
    Sets the number of rows to which a row description applies.
    Parameters:
      `numberOfRepeatedRows` - the new number of repeated rows